org.wso2.carbon.module.mgt.stub

## Interface ModuleAdminService

- All Known Implementing Classes:
    ModuleAdminServiceStub

      public interface ModuleAdminService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `disengageModuleForOperation(String moduleId57, String serviceName58, String operationName59)` Auto generated method signature
    `boolean` | `disengageModuleForService(String moduleId103, String serviceName104)` Auto generated method signature
    `boolean` | `disengageModuleForServiceGroup(String moduleId122, String serviceGroupName123)` Auto generated method signature
    `boolean` | `disengageModuleFromSystem(String moduleId90)` Auto generated method signature
    `boolean` | `engageModuleForOperation(String moduleId108, String serviceName109, String operationName110)` Auto generated method signature
    `boolean` | `engageModuleForService(String moduleId52, String serviceName53)` Auto generated method signature
    `boolean` | `engageModuleForServiceGroup(String moduleID42, String serviceGroupName43)` Auto generated method signature
    `ModuleMetaData` | `getModuleInfo(String moduleName47, String moduleVersion48)` Auto generated method signature
    `String[]` | `getModuleParameters(String moduleName94, String moduleVersion95)` Auto generated method signature
    `boolean` | `globallyDisengageModule(String moduleId86)` Auto generated method signature
    `boolean` | `globallyEngageModule(String moduleId82)` Auto generated method signature
    `ModuleMetaData[]` | `listGloballyEngagedModules()` Auto generated method signature
    `ModuleMetaData[]` | `listModules()` Auto generated method signature
    `ModuleMetaData[]` | `listModulesForOperation(String serviceName73, String operationName74)` Auto generated method signature
    `ModuleMetaData[]` | `listModulesForService(String serviceName78)` Auto generated method signature
    `ModuleMetaData[]` | `listModulesForServiceGroup(String serviceGroupName99)` Auto generated method signature
    `String` | `removeModule(String moduleId63)` Auto generated method signature
    `String` | `removeModuleParameter(String moduleName127, String moduleVersion128, String parameterName129)` Auto generated method signature
    `void` | `setModuleParameters(String moduleName118, String moduleVersion119, String[] parameters120)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisengageModuleForOperation(String moduleId57, String serviceName58, String operationName59, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisengageModuleForService(String moduleId103, String serviceName104, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisengageModuleForServiceGroup(String moduleId122, String serviceGroupName123, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startdisengageModuleFromSystem(String moduleId90, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startengageModuleForOperation(String moduleId108, String serviceName109, String operationName110, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startengageModuleForService(String moduleId52, String serviceName53, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startengageModuleForServiceGroup(String moduleID42, String serviceGroupName43, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetModuleInfo(String moduleName47, String moduleVersion48, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgetModuleParameters(String moduleName94, String moduleVersion95, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgloballyDisengageModule(String moduleId86, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startgloballyEngageModule(String moduleId82, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startlistGloballyEngagedModules(ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startlistModules(ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startlistModulesForOperation(String serviceName73, String operationName74, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startlistModulesForService(String serviceName78, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startlistModulesForServiceGroup(String serviceGroupName99, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startremoveModule(String moduleId63, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startremoveModuleParameter(String moduleName127, String moduleVersion128, String parameterName129, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `void` | `startuploadModule(ModuleUploadData[] moduleUploadData114, ModuleAdminServiceCallbackHandler callback)` Auto generated method signature for Asynchronous Invocations
    `String` | `uploadModule(ModuleUploadData[] moduleUploadData114)` Auto generated method signature

- - ### Method Detail

    - #### engageModuleForServiceGroup

          boolean engageModuleForServiceGroup(String moduleID42,
                                              String serviceGroupName43)
                                       throws RemoteException,
                                              ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `engageModuleForServiceGroup41` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startengageModuleForServiceGroup

          void startengageModuleForServiceGroup(String moduleID42,
                                                String serviceGroupName43,
                                                ModuleAdminServiceCallbackHandler callback)
                                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `engageModuleForServiceGroup41` -
      Throws:
        `RemoteException`

    - #### getModuleInfo

          ModuleMetaData getModuleInfo(String moduleName47,
                                       String moduleVersion48)
                                throws RemoteException,
                                       ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `getModuleInfo46` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startgetModuleInfo

          void startgetModuleInfo(String moduleName47,
                                  String moduleVersion48,
                                  ModuleAdminServiceCallbackHandler callback)
                           throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getModuleInfo46` -
      Throws:
        `RemoteException`

    - #### engageModuleForService

          boolean engageModuleForService(String moduleId52,
                                         String serviceName53)
                                  throws RemoteException,
                                         ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `engageModuleForService51` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startengageModuleForService

          void startengageModuleForService(String moduleId52,
                                           String serviceName53,
                                           ModuleAdminServiceCallbackHandler callback)
                                    throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `engageModuleForService51` -
      Throws:
        `RemoteException`

    - #### disengageModuleForOperation

          boolean disengageModuleForOperation(String moduleId57,
                                              String serviceName58,
                                              String operationName59)
                                       throws RemoteException,
                                              ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `disengageModuleForOperation56` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startdisengageModuleForOperation

          void startdisengageModuleForOperation(String moduleId57,
                                                String serviceName58,
                                                String operationName59,
                                                ModuleAdminServiceCallbackHandler callback)
                                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `disengageModuleForOperation56` -
      Throws:
        `RemoteException`

    - #### removeModule

          String removeModule(String moduleId63)
                       throws RemoteException,
                              ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `removeModule62` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startremoveModule

          void startremoveModule(String moduleId63,
                                 ModuleAdminServiceCallbackHandler callback)
                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `removeModule62` -
      Throws:
        `RemoteException`

    - #### listModules

          ModuleMetaData[] listModules()
                                throws RemoteException

      Auto generated method signature
      Parameters:
        `listModules66` -
      Throws:
        `RemoteException`

    - #### startlistModules

          void startlistModules(ModuleAdminServiceCallbackHandler callback)
                         throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `listModules66` -
      Throws:
        `RemoteException`

    - #### listGloballyEngagedModules

          ModuleMetaData[] listGloballyEngagedModules()
                                               throws RemoteException

      Auto generated method signature
      Parameters:
        `listGloballyEngagedModules69` -
      Throws:
        `RemoteException`

    - #### startlistGloballyEngagedModules

          void startlistGloballyEngagedModules(ModuleAdminServiceCallbackHandler callback)
                                        throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `listGloballyEngagedModules69` -
      Throws:
        `RemoteException`

    - #### listModulesForOperation

          ModuleMetaData[] listModulesForOperation(String serviceName73,
                                                   String operationName74)
                                            throws RemoteException,
                                                   ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `listModulesForOperation72` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startlistModulesForOperation

          void startlistModulesForOperation(String serviceName73,
                                            String operationName74,
                                            ModuleAdminServiceCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `listModulesForOperation72` -
      Throws:
        `RemoteException`

    - #### listModulesForService

          ModuleMetaData[] listModulesForService(String serviceName78)
                                          throws RemoteException,
                                                 ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `listModulesForService77` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startlistModulesForService

          void startlistModulesForService(String serviceName78,
                                          ModuleAdminServiceCallbackHandler callback)
                                   throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `listModulesForService77` -
      Throws:
        `RemoteException`

    - #### globallyEngageModule

          boolean globallyEngageModule(String moduleId82)
                                throws RemoteException,
                                       ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `globallyEngageModule81` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startgloballyEngageModule

          void startgloballyEngageModule(String moduleId82,
                                         ModuleAdminServiceCallbackHandler callback)
                                  throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `globallyEngageModule81` -
      Throws:
        `RemoteException`

    - #### globallyDisengageModule

          boolean globallyDisengageModule(String moduleId86)
                                   throws RemoteException,
                                          ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `globallyDisengageModule85` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startgloballyDisengageModule

          void startgloballyDisengageModule(String moduleId86,
                                            ModuleAdminServiceCallbackHandler callback)
                                     throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `globallyDisengageModule85` -
      Throws:
        `RemoteException`

    - #### disengageModuleFromSystem

          boolean disengageModuleFromSystem(String moduleId90)
                                     throws RemoteException,
                                            ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `disengageModuleFromSystem89` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startdisengageModuleFromSystem

          void startdisengageModuleFromSystem(String moduleId90,
                                              ModuleAdminServiceCallbackHandler callback)
                                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `disengageModuleFromSystem89` -
      Throws:
        `RemoteException`

    - #### getModuleParameters

          String[] getModuleParameters(String moduleName94,
                                       String moduleVersion95)
                                throws RemoteException,
                                       ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `getModuleParameters93` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startgetModuleParameters

          void startgetModuleParameters(String moduleName94,
                                        String moduleVersion95,
                                        ModuleAdminServiceCallbackHandler callback)
                                 throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `getModuleParameters93` -
      Throws:
        `RemoteException`

    - #### listModulesForServiceGroup

          ModuleMetaData[] listModulesForServiceGroup(String serviceGroupName99)
                                               throws RemoteException,
                                                      ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `listModulesForServiceGroup98` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startlistModulesForServiceGroup

          void startlistModulesForServiceGroup(String serviceGroupName99,
                                               ModuleAdminServiceCallbackHandler callback)
                                        throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `listModulesForServiceGroup98` -
      Throws:
        `RemoteException`

    - #### disengageModuleForService

          boolean disengageModuleForService(String moduleId103,
                                            String serviceName104)
                                     throws RemoteException,
                                            ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `disengageModuleForService102` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startdisengageModuleForService

          void startdisengageModuleForService(String moduleId103,
                                              String serviceName104,
                                              ModuleAdminServiceCallbackHandler callback)
                                       throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `disengageModuleForService102` -
      Throws:
        `RemoteException`

    - #### engageModuleForOperation

          boolean engageModuleForOperation(String moduleId108,
                                           String serviceName109,
                                           String operationName110)
                                    throws RemoteException,
                                           ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `engageModuleForOperation107` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startengageModuleForOperation

          void startengageModuleForOperation(String moduleId108,
                                             String serviceName109,
                                             String operationName110,
                                             ModuleAdminServiceCallbackHandler callback)
                                      throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `engageModuleForOperation107` -
      Throws:
        `RemoteException`

    - #### uploadModule

          String uploadModule(ModuleUploadData[] moduleUploadData114)
                       throws RemoteException

      Auto generated method signature
      Parameters:
        `uploadModule113` -
      Throws:
        `RemoteException`

    - #### startuploadModule

          void startuploadModule(ModuleUploadData[] moduleUploadData114,
                                 ModuleAdminServiceCallbackHandler callback)
                          throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `uploadModule113` -
      Throws:
        `RemoteException`

    - #### setModuleParameters

          void setModuleParameters(String moduleName118,
                                   String moduleVersion119,
                                   String[] parameters120)
                            throws RemoteException,
                                   ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature for Asynchronous Invocations
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### disengageModuleForServiceGroup

          boolean disengageModuleForServiceGroup(String moduleId122,
                                                 String serviceGroupName123)
                                          throws RemoteException,
                                                 ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `disengageModuleForServiceGroup121` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startdisengageModuleForServiceGroup

          void startdisengageModuleForServiceGroup(String moduleId122,
                                                   String serviceGroupName123,
                                                   ModuleAdminServiceCallbackHandler callback)
                                            throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `disengageModuleForServiceGroup121` -
      Throws:
        `RemoteException`

    - #### removeModuleParameter

          String removeModuleParameter(String moduleName127,
                                       String moduleVersion128,
                                       String parameterName129)
                                throws RemoteException,
                                       ModuleAdminServiceModuleMgtExceptionException

      Auto generated method signature
      Parameters:
        `removeModuleParameter126` -
      Throws:
        `ModuleAdminServiceModuleMgtExceptionException` - :
        `RemoteException`

    - #### startremoveModuleParameter

          void startremoveModuleParameter(String moduleName127,
                                          String moduleVersion128,
                                          String parameterName129,
                                          ModuleAdminServiceCallbackHandler callback)
                                   throws RemoteException

      Auto generated method signature for Asynchronous Invocations
      Parameters:
        `removeModuleParameter126` -
      Throws:
        `RemoteException`

Copyright © 2019 WSO2. All rights reserved.